require 'active_support/core_ext/array'

module Biro
  module Ph3a
    class LoginBuilder
      def initialize(response)
        @body = response.body
      end

      def token
        login_result.dig(:token)
      end

      def login_result
        @body.dig(:login_response).dig(:login_result)
      end
    end
  end
end
