module Biro
  module Bvs
    class BaseBuilder
      def initialize document, username, password
        @document = document
        @username = username
        @password = password
      end

      def build
        raise "This method must be implemented"
      end

      protected

      def build_string
        @parameters.values.map { |p| p[:type] == "T" ? p[:value].to_s.ljust(p[:size], " ") : p[:value].to_s.rjust(p[:size],"0") }.join
      end
    end
  end
end
