require 'active_support/core_ext/array'

module Biro
  module Ph3a
    class CurrentBuilder
      def initialize(response)
        @body = response.body
      end

      def token
        current_result.dig(:token)
      end

      def current_result
        @body.dig(:get_current_response).dig(:get_current_result)
      end
    end
  end
end
