require 'savon'

module Biro
  module Utils
    module Soap
      def soap
        default_options = {
          wsdl: wsdl,
          convert_request_keys_to: :none,
          logger: Biro.config.logger,
          log_level: :debug,
          log: true
        }

        @savon ||= Savon.client(default_options.merge(savon_options))
      end

      def wsdl
        url = Biro.development? ? self.development_url : self.production_url
      end

      def savon_options
        {}
      end
    end
  end
end
